# OpenGl_Error.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_OpenGl_Error.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_NumericError.hxx>`

## Defines

#define | OpenGl_Error_Raise_if(CONDITION, MESSAGE) if (CONDITION) OpenGl_Error::Raise(MESSAGE);

## Define Documentation

#define OpenGl_Error_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) OpenGl_Error::Raise(MESSAGE);